%define		gsconnect_version 43

Name:		gnome-shell-extensions-fif
Version:	2020.10.30
Release:	1%{?dist}
Summary:	A set of Gnome Shell extensions
Group:		User Interface/Desktops

License:	Mixed
URL:		http://extensions.gnome.org
Source0:	gnome-shell-extension-installer
Source1:	Move_Clock@rmy.pobox.com.v22.shell-extension.zip
Source2:	SwitchFocusType@romano.rgtti.com.v4.shell-extension.zip
Source3:	TopIcons@phocean.net.v27.shell-extension.zip
Source4:	bluetooth-quick-connect@bjarosze.gmail.com.v13.shell-extension.zip
Source5:	caffeine@patapon.info.v35.shell-extension.zip
Source6:	caribou-resize-workspace@simon.schumann.web.de.v2.shell-extension.zip
Source7:	dash-to-dock@micxgx.gmail.com.v69.shell-extension.zip
Source8:	drive-menu@gnome-shell-extensions.gcampax.github.com.v42.shell-extension.zip
Source9:	extend-left-box@bondhu.paul.gmail.com.v1.shell-extension.zip
Source10:	hibernate-status@dromi.v20.shell-extension.zip
Source11:	historymanager-prefix-search@sustmidown.centrum.cz.v12.shell-extension.zip
Source12:	native-window-placement@gnome-shell-extensions.gcampax.github.com.v43.shell-extension.zip
Source13:	netspeed@hedayaty.gmail.com.v31.shell-extension.zip
Source14:	openweather-extension@jenslody.de.v102.shell-extension.zip
Source15:	pidgin@muffinmad.v36.shell-extension.zip
Source16:	refresh-wifi@kgshank.net.v13.shell-extension.zip
Source17:	shell-volume-mixer@derhofbauer.at.v36.shell-extension.zip
Source18:	slideforkeyboard@simon.schumann.web.de.v4.shell-extension.zip
Source19:	ssh-search-provider@extensions.gnome-shell.fifi.org.v7.shell-extension.zip
Source20:	status-area-horizontal-spacing@mathematical.coffee.gmail.com.v14.shell-extension.zip
Source21:	weeks-start-on-monday@extensions.gnome-shell.fifi.org.v7.shell-extension.zip
Source22:	windowoverlay-icons@sustmidown.centrum.cz.v35.shell-extension.zip
Source23:	windowsNavigator@gnome-shell-extensions.gcampax.github.com.v47.shell-extension.zip
Source24:	window-title-in-topbar@fthx.v1.shell-extension.zip
Source25:	workspaces-to-dock@passingthru67.gmail.com.v53.shell-extension.zip
Source26:	workspace-switch-wraparound@theychx.org.v6.shell-extension.zip
Source27:	soft-brightness@fifi.org.v25.shell-extension.zip
Source28:	Zoom_Ontop_Fix@fifi.org.v0.shell-extension.zip
Source29:	tweaks-system-menu@extensions.gnome-shell.fifi.org.v11.shell-extension.zip
Source30:	improvedosk@luebke.io.v4.shell-extension.zip
Source31:	micro_camera_privacy@jmas.softcatala.org.v1.shell-extension.zip
Source32:	calendar-improved@human.experience.v7.shell-extension.zip

Source1000:	gnome-shell-extension-gsconnect-%{gsconnect_version}.tar.gz

Patch1:		window-title-in-topbar@fthx-hide-in-overview.patch
Patch2:		extend-left-box@bondhu.paul.gmail.com.patch
Patch3:		micro_camera_privacy@jmas.softcatala.org-pacify-logging.patch
Patch4:		micro_camera_privacy@jmas.softcatala.org-no-hiding-hidden.patch
Patch5:		extend-left-box@bondhu.paul.gmail.com-gs-3.36.patch
Patch6:		status-area-horizontal-spacing@mathematical.coffee.gmail.com-gs3.34.patch

BuildArch:	noarch
BuildRequires:	meson, cmake, gcc, glib2-devel, gettext, dbus-devel, appstream
Requires:	python3

%description
A set of Gnome Shell extensions:
  - Bluetooth quick connect
  - Caffeine
  - Calendar Improved
  - Caribou Resize Workspace
  - Dash to Dock
  - Extend Left Box
  - Frippery Move Clock
  - Hibernate Status Button
  - HistoryManager Prefix Search
  - Improved Onscreen Keyboard
  - Micro-Camera-Privacy
  - Native Window Placement
  - Netspeed
  - OpenWeather
  - Pidgin Integration
  - Refresh wifi connections
  - Removable Drive Menu
  - Slide for Keyboard
  - Soft brightness
  - SSH Search Provider Reborn
  - Status Area Horizontal Spacing
  - Switch Focus Type
  - TopIcons Plus
  - Tweaks in System Menu
  - Volume Mixer
  - Weeks Start on Monday Again...
  - windowNavigator
  - WindowOverlay Icon
  - Window title in topbar
  - Workspace switch wraparound
  - Workspaces to dock
  - Zoom Ontop Fix

%prep
%setup -q -c %{name}-%{version} -T
mkdir zips
pushd zips

for i in \
  %{SOURCE1} \
  %{SOURCE2}  \
  %{SOURCE3}  \
  %{SOURCE4}  \
  %{SOURCE5}  \
  %{SOURCE6}  \
  %{SOURCE7}  \
  %{SOURCE8}  \
  %{SOURCE9}  \
  %{SOURCE10} \
  %{SOURCE11} \
  %{SOURCE12} \
  %{SOURCE13} \
  %{SOURCE14} \
  %{SOURCE15} \
  %{SOURCE16} \
  %{SOURCE17} \
  %{SOURCE18} \
  %{SOURCE19} \
  %{SOURCE20} \
  %{SOURCE21} \
  %{SOURCE22} \
  %{SOURCE23} \
  %{SOURCE24} \
  %{SOURCE25} \
  %{SOURCE26} \
  %{SOURCE27} \
  %{SOURCE28} \
  %{SOURCE29} \
  %{SOURCE30} \
  %{SOURCE31} \
  %{SOURCE32} \
  ;
do
  t="${i##*/}"
  t="${t%.v[0-9]*.shell-extension.zip}"
  t="${t%[-][0-9]*-[0-9]*-g[0-9a-f]*.zip}"
  mkdir "$t"
  pushd "$t"
  unzip -q "$i"
  popd
done

%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0

find -name '*.orig' -print0 | xargs -r0 rm -f
chmod -Rf a+rX,u+w,g-w,o-w .

popd

%setup -a 1000 -D -q -c %{name}-%{version} -T

%build
cd gnome-shell-extension-gsconnect-%{gsconnect_version}
%meson -D nemo=true -D firewalld=true -D installed_tests=false
%meson_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-shell
cp -a zips $RPM_BUILD_ROOT%{_datadir}/gnome-shell/extensions

cd gnome-shell-extension-gsconnect-%{gsconnect_version}
%meson_install
# Installs the firewalld in lib64, should be in lib.
mkdir $RPM_BUILD_ROOT%{_libdir}/../lib
mv $RPM_BUILD_ROOT%{_libdir}/firewalld $RPM_BUILD_ROOT%{_libdir}/../lib/firewalld
rmdir $RPM_BUILD_ROOT%{_libdir} || :

%files
%{_datadir}/gnome-shell/extensions
%{_sysconfdir}/chromium/native-messaging-hosts/org.gnome.shell.extensions.gsconnect.json
%{_sysconfdir}/opt/chrome/native-messaging-hosts/org.gnome.shell.extensions.gsconnect.json
%{_libdir}/mozilla/native-messaging-hosts/org.gnome.shell.extensions.gsconnect.json
%{_libdir}/../lib/firewalld/services/gsconnect.xml
%{_datadir}/applications/org.gnome.Shell.Extensions.GSConnect.Preferences.desktop
%{_datadir}/applications/org.gnome.Shell.Extensions.GSConnect.desktop
%{_datadir}/dbus-1/services/org.gnome.Shell.Extensions.GSConnect.service
%{_datadir}/glib-2.0/schemas/org.gnome.Shell.Extensions.GSConnect.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Shell.Extensions.GSConnect-symbolic.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Shell.Extensions.GSConnect.svg
%{_datadir}/locale/*/LC_MESSAGES/org.gnome.Shell.Extensions.GSConnect.mo
%{_datadir}/metainfo/org.gnome.Shell.Extensions.GSConnect.metainfo.xml
%{_datadir}/nautilus-python/extensions/nautilus-gsconnect.py
%{_datadir}/nemo-python/extensions/nemo-gsconnect.py

%changelog
* Fri Oct 30 2020 Philippe Troin <phil@fifi.org> - 2020.10.30-1
- Updated:
    * Calendar Improved 5 -> 6
    * Hibernate Status Button 19 -> 20
    * Soft brightness 20 -> 25
- Dropped upstreamed patches for:
    * Hibernate Status Button

* Wed Oct  7 2020 Philippe Troin <phil@fifi.org> - 2020.10.06-1
- Updated:
    * Dash to Dock 68 -> 69
    * Frippery Move Clock 21 -> 22
    * Soft brightness 19 -> 20
    * SSH Search Provider Reborn 6 -> 7
    * Switch Focus Type 3 -> 4
    * Tweaks in System Menu 10 -> 11
    * Weeks Start on Monday Again... 6 -> 7

* Thu Sep 24 2020 Philippe Troin <phil@fifi.org> - 2020.09.24-1
- Updated:
    * GSConnect 41 -> 43
    * Improved Onscreen Keyboard 2 -> 4
- Depend on python3 (instead of python2) as all python scripts are Py3.
- Add cmake, appstream and dbus-devel to BuildRequires to pacify GSConnect's meson.
- Include firewalld file for GSConnect.

* Mon Aug 31 2020 Philippe Troin <phil@fifi.org> - 2020.08.31-1
- Patch extend-left-box@bondhu.paul.gmail.com to remove deprecation
  warnings.

* Sun Aug 30 2020 Philippe Troin <phil@fifi.org> - 2020.08.30-1
- Updated:
    * GSConnect 39 -> 41
    * Native Window Placement 42 -> 43
- Changed:
    * Replaced "Improve Onscreen Keyboard"
      (improveosk@simon.schumann.web.de) with "Improved Onscreen
      Keyboard" (improvedosk@luebke.io) v2.

* Sun Aug  9 2020 Philippe Troin <phil@fifi.org> - 2020.08.09-2
- Gnome-Shell 3.36 update:
    * Bluetooth quick connect 10 -> 13
    * Caffeine 34 -> 35
    * Dash to Dock 67 -> 68
    * GSConnect 33 -> 39
    * Hibernate Status Button 17 -> 19
    * Pidgin Integration 33 -> 36
    * Refresh wifi connections 11 -> 13
    * Volume Mixer 30 -> 36
    * Tweaks in System Menu 8 -> 10
    * windowsNavigator 46 -> 47
    * Workspaces to dock 52 -> 53

* Sun Aug  9 2020 Philippe Troin <phil@fifi.org> - 2020.08.09-1
- Updated:
    * WindowOverlay Icon 34 -> 35

* Fri Jun 26 2020 Philippe Troin <phil@fifi.org> - 2020.06.26-1
- Downgraded:
    * Refresh wifi connections 12 -> 11 (v12 doesn't work on GS 3.34).

* Wed Jun 17 2020 Philippe Troin <phil@fifi.org> - 2020.06.16-2
- Build GSConnect from source as using the zip won't work as a system
  extension.
- Add BuildRequires meson, gcc, glib2-devel, gettext for GSConnect
  build.

* Tue Jun 16 2020 Philippe Troin <phil@fifi.org> - 2020.06.16-1
- Added:
    * GSConnect v33.

* Tue Jun  9 2020 Philippe Troin <phil@fifi.org> - 2020.06.09-1
- Updated:
    * Calendar Improved 5 -> 6
    * Refresh wifi connections 11 -> 12
- Removed:
    * Appfolders Management extension.

* Fri May  1 2020 Philippe Troin <phil@fifi.org> - 2020.05.01-1
- Updated:
    * OpenWeather 100 -> 102
    * Soft brightness 18 -> 19
    * TopIcons Plus 26 -> 27

* Thu Apr 23 2020 Philippe Troin <phil@fifi.org> - 2020.04.23-1
- Removed:
    * Media Player Indicator (stopped working on GS 3.34.4, not maintained).
- Updated:
    * TopIcons Plus 22 -> 26
    * OpenWeather 100 -> 102
- Dropped patch for TopIcons Plus.

* Sun Apr  5 2020 Philippe Troin <phil@fifi.org> - 2020.04.05-1
- Updated:
    * Calendar Improved 1 -> 5
    * OpenWeather 99 -> 100

* Sun Mar 22 2020 Philippe Troin <phil@fifi.org> - 2020.03.21-1
- Added:
    * Calendar Improved v1

* Tue Mar 17 2020 Philippe Troin <phil@fifi.org> - 2020.03.17-1
- Updated:
    * Frippery Move Clock 20 -> 21

* Fri Mar 13 2020 Philippe Troin <phil@fifi.org> - 2020.03.12-1
- Updated:
    * Soft brightness 17 -> 18

* Thu Mar 12 2020 Philippe Troin <phil@fifi.org> - 2020.03.11-1
- Updated:
    * Soft brightness 16 -> 17
    * SSH Search Provider Reborn 5 -> 6
    * Weeks Start on Monday Again... 5 -> 6

* Tue Mar 10 2020 Philippe Troin <phil@fifi.org> - 2020.03.10-1
- Updated:
    * Soft brightness 15 -> 16
    * Volume Mixer 29 -> 30
- Patches added:
    * Patch Status Area Horizontal Spacing for shell 3.34.
- Patches removed:
    * Volume Mixer now supports python3, no need to override shebang anymore.

* Thu Mar  5 2020 Philippe Troin <phil@fifi.org> - 2020.03.04-3
- Patch extend-left-box@bondhu.paul.gmail.com for Gnome-Shell 3.34.

* Thu Mar  5 2020 Philippe Troin <phil@fifi.org> - 2020.03.04-2
- Patch TopIcons@phocean.net for Gnome-Shell 3.34.

* Thu Mar  5 2020 Philippe Troin <phil@fifi.org> - 2020.03.04-1
- Updated:
    * Caffeine 32 -> 34
    * Dash to Dock 66 -> 67
    * Hibernate Status Button 15 -> 17
    * Native Window Placement 40 -> 42
    * Netspeed 30 -> 31
    * OpenWeather 97 -> 99
    * Pidgin Integration 32 -> 33
    * Removable Drive Menu 40 -> 42
    * Status Area Horizontal Spacing 13 -> 14
    * Volume Mixer 25 -> 29
    * windowsNavigator 44 -> 46
    * Workspaces to dock 51 -> 52
- Unpatched (patches upstreamed):
    * Netspeed
    * OpenWeather

* Sun Nov  3 2019 Philippe Troin <phil@fifi.org> - 2019.11.03-1
- Updated:
    * Soft brightness 13 -> 14
- Patched:
    * Micro-Camera-Privacy: pacify logging, fix disable error.

* Thu Oct 17 2019 Philippe Troin <phil@fifi.org> - 2019.10.16-1
- Add:
    * Micro-Camera-Privacy 1
- Update:
    * Tweaks in System Menu 7 -> 8
    * Weeks Start on Monday Again... 4 -> 5
- Drop BuildRequires on glib-compile-schema.
- Add Requires: python2.

* Sat Oct 12 2019 Philippe Troin <phil@fifi.org> - 2019.10.12-1
- Updated:
    * Tweaks in System Menu 6 -> 7

* Mon Sep 30 2019 Philippe Troin <phil@fifi.org> - 2019.09.30-1
- Updated:
    * Frippery Move Clock 19 -> 20
    * Refresh wifi connections 10 -> 11
    * SSH Search Provider Reborn 4 -> 5
    * Tweaks in System Menu 5 -> 6
    * Weeks Start on Monday Again... 3 -> 4
    * Workspaces to dock 50 -> 51

* Sun Sep  8 2019 Philippe Troin <phil@fifi.org> - 2019.09.07-1
- Updated:
    * Weeks Start on Monday Again... 2 -> 3

* Wed Aug 21 2019 Philippe Troin <phil@fifi.org> - 2019.08.21-1
- Updated:
    * Soft brightness 13 -> 14
    * Tweaks in System Menu 4 -> 5

* Mon Aug 19 2019 Philippe Troin <phil@fifi.org> - 2019.08.19-1
- Updated:
    * Bluetooth quick connect 8 -> 10
    * Soft brightness 12 -> 13
    * Tweaks in System Menu 3 -> 4

* Tue Jun 11 2019 Philippe Troin <phil@fifi.org> - 2019.06.11-1
- Updated:
    * Improve Onscreen Keyboard 2 -> 3
    * Pidgin Integration 31 -> 32

* Sat May 25 2019 Philippe Troin <phil@fifi.org> - 2019.05.25-1
- New extension:
    * Improve Onscreen Keyboard (v2)
- Updated:
    * Appfolders Management extension 15 -> 16.
    * Switch Focus Type 2 -> 3
- Unpatched:
    * Switch Focus Type (patch upstreamed).

* Wed May 22 2019 Philippe Troin <phil@fifi.org> - 2019.05.22-1
- Updated:
    * Bluetooth quick connect 7 -> 8
    * Hibernate Status Button 10 -> 12
- Patched:
    * Update Switch Focus Type patch for Gnome Shell 3.32.
- Unpatched:
    * Caffeine 32 is now pure upstream.

* Thu May  9 2019 Philippe Troin <phil@fifi.org> - 2019.05.08-1
- Gnome Shell 3.32.
- Updated:
    * Dash to Dock 65 -> 66
    * Media Player Indicator 63 -> 4.0.7-g65867e7.
    * Native Window Placement 38 -> 40
    * Netspeed 29 -> 30
    * Removable Drive Menu 38 -> 40
    * Volume Mixer 21 -> 25
    * windowsNavigator 42 -> 44
    * WindowOverlay Icon 33 -> 34
    * Workspaces to dock 49 -> 50
- Patched:
    * Extend Left Box: Gnome Shell 3.32 compatibility.
    * Netspeed: fixed errors, updated for v30.

* Sat May  4 2019 Philippe Troin <phil@fifi.org> - 2019.05.04-1
- Updated:
    * Status Area Horizontal Spacing 12 -> 13

* Wed Apr 24 2019 Philippe Troin <phil@fifi.org> - 2019.04.24-1
- Updated:
    * Soft brightness 10 -> 12

* Tue Apr 23 2019 Philippe Troin <phil@fifi.org> - 2019.04.23-1
- Updated:
    * Soft brightness 9 -> 10

* Mon Apr 22 2019 Philippe Troin <phil@fifi.org> - 2019.04.21-1
- Updated:
    * Soft brightness 8 -> 9

* Wed Apr 17 2019 Philippe Troin <phil@fifi.org> - 2019.04.15-1
- Updated:
    * Caffeine 30 -> 32
    * OpenWeather 96 -> 97
    * Soft brightness 7 -> 8
    * SSH Search Provider Reborn 3 -> 4

* Sat Mar 30 2019 Philippe Troin <phil@fifi.org> - 2019.03.30-1
- New extension:
    * Appfolders Management extension (v15)
- Updated:
    * Soft brightness 6 -> 7
    * Tweaks in System Menu 2 -> 3

* Wed Mar 27 2019 Philippe Troin <phil@fifi.org> - 2019.03.27-1
- Updated:
    * SSH Search Provider Reborn 2 -> 3

* Tue Mar 26 2019 Philippe Troin <phil@fifi.org> - 2019.03.26-1
- Updated:
    * Soft brightness 5 -> 6
    * SSH Search Provider Reborn 1 -> 2
    * Tweaks in System Menu 1 -> 2
    * Weeks Start on Monday Again... 1 -> 2

* Mon Mar 25 2019 Philippe Troin <phil@fifi.org> - 2019.03.25-1
- Updated:
    * Bluetooth quick connect 4 -> 7
    * Dash to Dock 64 -> 65
    * Frippery Move Clock 18 -> 19
    * Soft brightness 4 -> 5
    * Workspace switch wraparound 5 -> 6
- Added extensions:
    * SSH Search Provider Reborn (v1)
    * Weeks Start on Monday Again... (v1)
- Dropped extensions:
    * SSH Search Provider
    * Weeks Start on Monday...
- Patched extensions:
    * Hibernate Status Button patched to avoid to button dance when
      hibernate is disabled.

* Tue Feb 12 2019 Philippe Troin <phil@fifi.org> - 2019.02.11-1
- Build the package from downloaded zip files.
- Updated:
    * Soft brightness 3(final) -> 4
- New extension:
    * Tweaks in System Menu, version 1.

* Thu Feb  7 2019 Philippe Troin <phil@fifi.org> - 2019.02.06-1
- Updated:
    * Soft brightness 3(pre-release) -> 3(final)

* Tue Feb  5 2019 Philippe Troin <phil@fifi.org> - 2019.02.05-1
- Updated:
    * Soft brightness 2 -> 3

* Sat Feb  2 2019 Philippe Troin <phil@fifi.org> - 2019.02.02-1
- Updated:
    * Soft brightness 1 -> 2

* Sat Feb  2 2019 Philippe Troin <phil@fifi.org> - 2019.02.01-1
- Added extension:
    * Soft brightness

* Wed Jan 30 2019 Philippe Troin <phil@fifi.org> - 2019.01.30-1
- Removed extension:
    * Taskbar
- Added extensions:
    * Window title in topbar
    * Workspaces to dock

* Tue Jan 29 2019 Philippe Troin <phil@fifi.org> - 2019.01.17-2
- Patch a few warnings in "Switch Focus Type", "Netspeed", "Shell
  Volume Mixer" and "SSH Search Provider".

* Fri Jan 18 2019 Philippe Troin <phil@fifi.org> - 2019.01.17-1
- Updated:
    * HistoryManager Prefix Search 11 -> 12
    * Native Window Placement 37 -> 38
    * Removable Drive Menu 37 -> 38
    * windowsNavigator 41 -> 42
    * WindowOverlay Icon 31 -> 33
    * Workspace switch wraparound 4 -> 5
- Patched Taskbar v57 for gnome-shell 3.30.

* Tue Nov 20 2018 Philippe Troin <phil@fifi.org> - 2018.11.20-1
- Updated:
    * Bluetooth quick connect 3 -> 4
    * OpenWeather 95 -> 96
    * TopIcons Plus 21 -> 22

* Tue Oct 23 2018 Philippe Troin <phil@fifi.org> - 2018.10.23-1
- Updated:
    * Caffeine 28 -> 30
    * Dash to Dock 63 -> 64
    * Frippery Move Clock 17 -> 18
    * Refresh wifi connections 8 -> 10

* Fri Jun 29 2018 Philippe Troin <phil@fifi.org> - 2018.06.29-1
- Added: Bluetooth quick connect
- Removed: Dynamic panel transparency

* Fri Jun 22 2018 Philippe Troin <phil@fifi.org> - 2018.06.22-1
- Updated the netspeed patch for js warnings.
- Updated:
    * Caffeine 27 -> 28
    * Dash to Dock 62 -> 63
    * Frippery Move Clock 15 -> 17
    * HistoryManager Prefix Search 10 -> 11
    * Native Window Placement 36 -> 37
    * Netspeed 28 -> 29
    * OpenWeather 94 -> 95
    * Removable Drive Menu 35 -> 37
    * Taskbar 56 -> 57
    * Volume Mixer 20 -> 21
    * windowNavigator 39 -> 41
    * WindowOverlay Icon 28 -> 31
    * Workspace switch wraparound 3 -> 4

* Wed Mar  7 2018 Philippe Troin <phil@fifi.org> - 2018.03.07-1
- Updated:
    * Dash to Dock 61 -> 62
    * Dynamic panel transparency 25 -> 26
    * Netspeed 27 -> 28

* Sat Jan 27 2018 Philippe Troin <phil@fifi.org> - 2018.01.26-1
- Update openweather to v94.
- Patch netspeed for new js.

* Mon Jan 22 2018 Philippe Troin <phil@fifi.org> - 2018.01.22-1
- Add a patched OpenWeather extension (supports C locale).

* Fri Jan 19 2018 Philippe Troin <phil@fifi.org> - 2018.01.18-2
- Reenabled patching caffeine for hangs.

* Fri Jan 19 2018 Philippe Troin <phil@fifi.org> - 2018.01.18-1
- Updated for F27:
    * Added extensions:
	o HistoryManager Prefix Search
	o Native Window Placement
	o Removable Drive Menu
	o TopIcons Plus
	o windowNavigator
	o WindowOverlay Icon
    * Removed extensions:
	o Gno-menu
	o Notification Alerts
	o Skype Integraion
	o Suspend Button
    * Updated extensions:
	o Caffeine 26 -> 27
	o Dash to Dock 55 -> 61
	o Dynamic panel transparency 17 -> 25
	o Frippery Move Clock 11 -> 15
	o Hibernate Status Button 10 -> 12
	o Media Player Indicator 42 -> 63
	o Netspeed 26 -> 27
	o Pidgin Integration 30 -> 31
	o Refresh wifi connections 7 -> 8
	o Status Area Horizontal Spacing 9 -> 12
	o Taskbar 53 -> 56
	o Volume Mixer 15 -> 20
	o Workspace switch wraparound 1 -> 3
- Disabled patching caffeine for hangs.

* Fri Jan 20 2017 Philippe Troin <phil@fifi.org> - 2017.01.20-1
- Update Zoom Ontop Fix.

* Thu Jan 19 2017 Philippe Troin <phil@fifi.org> - 2017.01.19-2
- Fix icon size and style for SSH Search Provider.

* Thu Jan 19 2017 Philippe Troin <phil@fifi.org> - 2017.01.19-1
- Added Zoom Ontop Fix.
- Fix icon size for SSH Search Provider.

* Wed Jan 18 2017 Philippe Troin <phil@fifi.org> - 2017.01.18-1
- Added Slide for Keyboard.
- Added Caribou Resize Workspace

* Mon Jan  9 2017 Philippe Troin <phil@fifi.org> - 2017.01.09-1
- Added Hibernate Status Button.

* Sun Jan  8 2017 Philippe Troin <phil@fifi.org> - 2017.01.07-1
- Dropped Format Clock.
- Added Dash to Dock
- Added Gno-Menu

* Sat Jan  7 2017 Philippe Troin <phil@fifi.org> - 2016.01.06-1
- Updated for F25.

* Mon Sep 15 2014 Philippe Troin <phil@fifi.org> - 2014.09.14-1
- Updated:
    - Move-free Message Tray v2 -> v3
    - World Clock v6 -> v7

* Tue Jul  1 2014 Philippe Troin <phil@fifi.org> - 2014.07.01-1
- Added "Flash Fullscreen Fix".

* Mon Jun 30 2014 Philippe Troin <phil@fifi.org> - 2014.06.25-3
- Fix SSH completion providers for hosts that are not hashed yet have
  a 60-byte host name, IP address, etc.

* Mon Jun 30 2014 Philippe Troin <phil@fifi.org> - 2014.06.25-2
- Fix netspeed bobbing around and interface list growing at every
  network event.

* Thu Jun 26 2014 Philippe Troin <phil@fifi.org> - 2014.06.25-1
- Updated for Gnome 2.10.

* Fri Feb  7 2014 Philippe Troin <phil@fifi.org> - 2014.02.06-1
- Updated extensions:
	- SkypeNotification@chrisss404.gmail.com 10 -> 11
	- TaskBar@zpydr 34 -> 38
	- brightness_control@lmedinas.org 16 -> 19
	- caffeine@patapon.info 12 -> 15
	- searchbookmarks@bmh1980de.gmail.com 6 -> 9
	- slingshot@rastersoft.com 22 -> 23
	- ssh-search-provider@gnome-shell-extensions.brot.github.com 19 -> 22
	- weeks-start-on-monday 7 -> 8
	- world_clock@ailin.nemui 4 -> 5

* Tue Nov 12 2013 Philippe Troin <phil@fifi.org> - 2013.11.12-1
- Updated extensions:
	- netspeed@hedayaty.gmail.com 14 -> 18
	- nohotcorner@azuri.free.fr 5 -> 7
	- SkypeNotification@chrisss404.gmail.com 7 -> 10
	- TaskBar@zpydr 26 -> 34
	- windowoverlay-icons@sustmidown.centrum.cz 9 -> 11
	- world_clock@ailin.nemui 3 -> 4

* Wed Oct  9 2013 Philippe Troin <phil@fifi.org> - 2013.10.09-2
- Updated extensions:
	- netspeed@hedayaty.gmail.com 17 -> 14 (v17 broken).

* Wed Oct  9 2013 Philippe Troin <phil@fifi.org> - 2013.10.09-1
- Updated extensions:
	- SkypeNotification@chrisss404.gmail.com 6 -> 7
	- caffeine@patapon.info 11 -> 12
	- netspeed@hedayaty.gmail.com 14 -> 17
	- searchbookmarks@bmh1980de.gmail.com 5 -> 6
	- workspaceNavigator@smotko.si 9 -> 1
	- world_clock@ailin.nemui 1 -> 3

* Sun Oct  6 2013 Philippe Troin <phil@fifi.org> - 2013.10.06-1
- Added the following extensions:
	- No Hot Corner
	- Notifications Alerts on User Menu
	- Overlay Follow Focus
	- Pidgin Conversation Integration
	- Tray Pressure Visualizer

* Mon Sep 30 2013 Philippe Troin <phil@fifi.org> - 2013.09.29-1
- Updated for F19.

* Fri Jun 15 2012 Philippe Troin <phil@fifi.org> - 2012.06.15-1
- Added the following extensions:
	- Power Alt Tab
	- Settings Center
	- Dash to Dock
	- Mediaplayer
	- Pidgin Conversation Integration
	- Quit Button
	- SSH Search Provider
	- Urgent Hint

* Sat Jun  9 2012 Philippe Troin <phil@fifi.org> - 2012-06-08-1
- Created.
